<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>jQuery UI - Sample 01</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
    <script src="assets/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="assets/jquery-ui.min.css">
</head>

<body align="center">
    <button id="btnDialog" class="ui-button ui-widget ui-corner-all">Dialog</button>

    <hr>
    <h2 id="dateText">Date Text</h2>
    <p>Date: <input type="text" id="datepicker"></p>
    <hr>

    <div id="dialog" title="Basic dialog" style="display: none">
        <p>This is the default dialog which is useful for displaying information. The dialog window can be moved, resized and closed with the &apos;x&apos; icon.</p>
    </div>

    <h2 class="demoHeaders">Checkboxradio</h2>
    <form style="margin-top: 1em;">
        <div id="radioset">
            <input type="radio" id="radio1" name="radio"><label for="radio1">Choice 1</label>
            <input type="radio" id="radio2" name="radio" checked="checked"><label for="radio2">Choice 2</label>
            <input type="radio" id="radio3" name="radio"><label for="radio3">Choice 3</label>
        </div>
    </form>

    <h2 class="demoHeaders">Selectmenu</h2>
    <select id="selectmenu">
        <option>Slower</option>
        <option>Slow</option>
        <option selected="selected">Medium</option>
        <option>Fast</option>
        <option>Faster</option>
    </select>

    <h2 class="demoHeaders">Datepicker</h2>
    
    
    <div id="datepicker2" align="center"></div>

    <!-- Tooltip -->
    <h2 class="demoHeaders">Tooltip</h2>
    <p id="tooltip">
        <a href="#" title="That&apos;s what this widget is">Tooltips</a> can be attached to any element. When you hover
        the element with your mouse, the title attribute is displayed in a little box next to the element, just like a native tooltip.
    </p>

    <script>
        $(function() {
            var $btnDialog = $("#btnDialog");
            var $dateText = $("#dateText");

            $btnDialog.off('click').on('click', function() {
                $("#dialog").dialog();
            })

            $("#datepicker").datepicker();

            $("#datepicker").off('change').on('change', function() {
                var msg = $(this).val();
                $dateText.text(msg);
            })

            $("#radioset").buttonset();

            $("#selectmenu").selectmenu();

            $("#datepicker2").datepicker({
                inline: true
            });
            
            $("#tooltip").tooltip();

        })

    </script>
</body>

</html>
